mail[Wesnoth-commits] r34197 - /trunk/CMakeLists.txt


Others Months | Index by Date | Thread Index
>>   [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Header


Content

Posted by koraq on March 27, 2009 - 23:45:
Author: mordante
Date: Fri Mar 27 23:45:22 2009
New Revision: 34197

URL: http://svn.gna.org/viewcvs/wesnoth?rev=34197&view=rev
Log:
Make pkg-config optionally, depending on the game.

Modified:
    trunk/CMakeLists.txt

Modified: trunk/CMakeLists.txt
URL: 
http://svn.gna.org/viewcvs/wesnoth/trunk/CMakeLists.txt?rev=34197&r1=34196&r2=34197&view=diff
==============================================================================
--- trunk/CMakeLists.txt (original)
+++ trunk/CMakeLists.txt Fri Mar 27 23:45:22 2009
@@ -21,11 +21,9 @@
 # use our own version of FindBoost.cmake and other Find* scripts
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-# find all deps needed, pkgconfig is needed to find pangocairo
 find_package( SDL 1.2.7 REQUIRED )
 find_package( Boost 1.33 REQUIRED COMPONENTS iostreams regex )
 find_package( Lua51 REQUIRED)
-find_package( PkgConfig REQUIRED )
 # yes, gettext is *required* even when NLS is deactivated (this is to compile
 # src/gettext.cpp since it includes libintl.h)
 find_package( Gettext REQUIRED )
@@ -162,9 +160,8 @@
        find_package( Boost 1.33 REQUIRED COMPONENTS unit_test_framework )
 endif(ENABLE_TESTS)
 if(ENABLE_GAME)
-       #use pkg-config to find pangocairo:
+       find_package( PkgConfig REQUIRED )
        pkg_check_modules( PANGOCAIRO REQUIRED pangocairo>=1.14.8 )
-       #use pkg-config to find fontconfig:
        pkg_check_modules( FONTCONFIG REQUIRED fontconfig>=2.4.1 )
 endif(ENABLE_GAME)
 




Related Messages


Powered by MHonArc, Updated Sat Mar 28 00:40:42 2009